import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  officeName: z.literal(true).optional(),
  receptionistName: z.literal(true).optional(),
  dentistName: z.literal(true).optional(),
  phoneNumber: z.literal(true).optional(),
  email: z.literal(true).optional(),
  fax: z.literal(true).optional(),
  streetAddress: z.literal(true).optional(),
  city: z.literal(true).optional(),
  state: z.literal(true).optional(),
  zipCode: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const OfficeContactCountAggregateInputObjectSchema: z.ZodType<Prisma.OfficeContactCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.OfficeContactCountAggregateInputType>;
export const OfficeContactCountAggregateInputObjectZodSchema = makeSchema();
